- page_title _("Import repository")
%h1.page-title
  = _('Import repository')

%hr

- if @project.import_failed?
  .card.border-danger
    .card-header.bg-danger.text-white The repository could not be imported.
    .card-body
      %pre
        :preserve
          #{h(@project.import_state.last_error)}

= gitlab_ui_form_for @project, url: project_import_path(@project), method: :post, html: { class: 'js-project-import' } do |f|
  = render "shared/import_form", f: f

  .form-actions
    = f.submit 'Start import', class: "gl-button btn btn-confirm", data: { disable_with: false }
